JA
API & MCPドキュメント

Mariner GPS Tools エージェント & API プラットフォーム

初期真方位を計算

ある地点から別の地点への初期真方位を計算します。

インターフェース

POST
REST エンドポイント/api/v1/bearing
MCP
ツール名calculate_bearing

リクエスト

リクエストを JSON として送信します。 MCP クライアントは、同じフィールドをツール引数として渡します。

cURLshell
curl -X POST https://marinergps.tools/api/v1/bearing \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "content-type: application/json" \
  -d '{
  "from": {
    "lat": 50.1,
    "lng": -4.2
  },
  "to": {
    "lat": 49.8,
    "lng": -3.1
  }
}'
リクエストボディjson
{
  "from": {
    "lat": 50.1,
    "lng": -4.2
  },
  "to": {
    "lat": 49.8,
    "lng": -3.1
  }
}

応答

REST は、計算結果を標準の成功エンベロープにラップします。MCP は、同じ計算データを構造化されたツール出力として返します。

JSON
{
  "ok": true,
  "data": {
    "degrees": 112.54786806700503,
    "compass": "ESE"
  }
}

スキーマ

以下の定義は、入力の検証と出力の説明に使用される完全な JSON スキーマを示しています。

入力スキーマ

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "from": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "lat": {
          "type": "string",
          "description": "Latitude as signed decimal degrees (-33.8688), decimal degrees with a hemisphere letter (33.8688° S), degrees and decimal minutes (33° 52.13′ S) or DMS (51° 30′ 26.4″ N). S is negative. Do not combine a sign with a hemisphere letter."
        },
        "lng": {
          "type": "string",
          "description": "Longitude as signed decimal degrees (-4.15), decimal degrees with a hemisphere letter (4.15° W), degrees and decimal minutes (4° 09.0′ W) or DMS (0° 07′ 39″ W). W is negative. Do not combine a sign with a hemisphere letter."
        }
      },
      "required": [
        "lat",
        "lng"
      ]
    },
    "to": {
      "type": "object",
      "additionalProperties": false,
      "properties": {
        "lat": {
          "type": "string",
          "description": "Latitude as signed decimal degrees (-33.8688), decimal degrees with a hemisphere letter (33.8688° S), degrees and decimal minutes (33° 52.13′ S) or DMS (51° 30′ 26.4″ N). S is negative. Do not combine a sign with a hemisphere letter."
        },
        "lng": {
          "type": "string",
          "description": "Longitude as signed decimal degrees (-4.15), decimal degrees with a hemisphere letter (4.15° W), degrees and decimal minutes (4° 09.0′ W) or DMS (0° 07′ 39″ W). W is negative. Do not combine a sign with a hemisphere letter."
        }
      },
      "required": [
        "lat",
        "lng"
      ]
    }
  },
  "required": [
    "from",
    "to"
  ]
}

出力スキーマ

{
  "type": "object",
  "additionalProperties": false,
  "properties": {
    "degrees": {
      "type": "number"
    },
    "compass": {
      "type": "string"
    }
  },
  "required": [
    "degrees",
    "compass"
  ]
}

MCP ベンチマーク結果

このツールについて、Mariner GPS Tools MCP サーバーを接続した場合と接続しない場合で測定しました。

92%モデル生成トークンを削減比較に十分な正しいベースライン結果が得られた全9モデル中8モデルについて、このツールの中央値を算出しています。
5.2×ベンチマークで高速化比較に十分な正しいベースライン結果が得られた全9モデル中8モデルについて、このツールの中央値を算出しています。
100%MCP 使用時の正答率、ツールなしでは 93.5%このツールの MCP 観測 108 件中 108 件が許容誤差内。

2026年9月測定 · 9 モデル · 航法ケース 4 件 · 3 回反復 · 観測 216 件 · 本番 MCP

API および MCP ドキュメント